# -*- encoding: utf-8 -*-

require File.expand_path("../lib/kaitai/struct/struct", __FILE__)
require 'date'

Gem::Specification.new { |s|
  s.name = 'kaitai-struct'
  s.version = Kaitai::Struct::VERSION
  s.date = Date.today.to_s

  s.authors = ['Mikhail Yakshin']
  s.email = 'greycat@kaitai.io'

  s.homepage = 'http://kaitai.io'
  s.summary = 'Kaitai Struct: runtime library for Ruby'
  s.license = 'MIT'
  s.description = <<-EOF
Kaitai Struct is a declarative language used for describe various binary data structures, laid out in files or in memory: i.e. binary file formats, network stream packet formats, etc.

The main idea is that a particular format is described in Kaitai Struct language (.ksy file) and then can be compiled with ksc into source files in one of the supported programming languages. These modules will include a generated code for a parser that can read described data structure from a file / stream and give access to it in a nice, easy-to-comprehend API.

This package provides small runtime library used by code generated by Kaitai Struct compiler.
EOF

  s.required_rubygems_version = Gem::Requirement.new(">= 0") if s.respond_to? :required_rubygems_version=
  s.require_paths = ['lib']

  s.files = `git ls-files`.split("\n")
  s.executables = s.files.grep(%r{^bin/}) { |f| File.basename(f) }
  s.test_files = s.files.grep(%r{^(test|spec|features)/})
}
